Jump to content

Excel Table. Using text style "hand". How do I change font to archD?


MillerMG
 Share

Recommended Posts

Our company uses "hand" as the style for all our projects. I need to import a table from excel with excel formatting. After I change all the text to "hand" style I can't figure out how to change the font. Any help would be greatly appreciated!!

Link to comment
Share on other sites

I'll give that a try. Currently working on structural designs for a church addition. Thank you.

Link to comment
Share on other sites

  • 8 years later...

Dealing with this same type issue..

I have no SYSTEM font listed in my Excel 

image.thumb.png.2ee7ce18ae0e32bb0aa2cbadd0a60ca2.png

 

Where is this SYSTEM font?

 

Anyway..

no matter what font I have in Excel, when I Paste Special -> Autocad Entities (do not want a link)

I cannot globally change the font, I've changed the table style, change the table style font and the only option is to change them one cell at a time.

 

I know about Stripmtext (which works) but I have people in my dept who cannot use routines and so I am

looking for a way to be able to bring in a non-linked table and have the fonts changeable.

Even Match Cell doesn't work.

It works is a sprinkling of cells but it not consistent.

 

Please advise

Link to comment
Share on other sites

I am testing make a Acad table form a open excel but you run it as a lisp. Should b eable to add option about text style as it only reads the cell text value non of the other stuff.

 

Watch this space

Edited by BIGAL
Link to comment
Share on other sites

Post a sample excel to test.

 

Just need to wade through these options and find correct one to set text font. So please if want more than font ask now.

 

The command you want is (vla-setCellTextStyle obj row column textstyle) looping through the table cells.

 

list of methods for a table.txt

 

(defun settabsty ( / obj styname x y rows column)
(setq obj (vlax-ename->vla-object (car  (entsel "Pick table object"))))
(setq styname (getstring "\nEnter text style"))
(setq columns (vlax-get-property obj 'Columns))
(setq rows (vlax-get-property obj 'rows))
(setq x 0 y 0)
(repeat rows
(repeat columns
(vla-setCellTextStyle obj x y styname)
(setq y (1+ y))
)
(setq y 0)
(setq x (1+ x))
)
(princ)
)
(settabsty)

 

Edited by BIGAL
Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...